import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { {{EntityName}}Controller } from './{{dashLowerCase EntityName}}.controller';
import { {{EntityName}}Service } from './{{dashLowerCase EntityName}}.service';

import { {{EntityName}} } from './entity/{{dashLowerCase EntityName}}.entity';

@Module({
  imports: [TypeOrmModule.forFeature([{{EntityName}}])],
  controllers: [{{EntityName}}Controller],
  providers: [{{EntityName}}Service],
  exports: [TypeOrmModule]
})
export class {{EntityName}}Module {}